Module mySQLAddress
    Private Const mainOrderDB As String = "jomtOrderDB.jomtOrderTbl"
    Private Const testOrderDB As String = "jomtOrderTestDB.jomtOrderTbl"

    Private Const mainSalesDB As String = "jomtTesterDB.jomtSalesPackingTbl"
    Private Const testSalesDB As String = "jomtTesterServerDB.jomtSalesPackingTbl"

    Private Const mainCountDB As String = "jomtTesterDB.jomtPackingCount"
    Private Const testCountDB As String = "jomtTesterServerDB.jomtPackingCount"

    Private Const mainCartDB As String = "jomtTesterDB.jomtCartridgeTbl"
    Private Const testCartDB As String = "jomtTesterServerDB.jomtCartridgeTbl"

    Private Const mainProdDB As String = "jomtTesterDB.jomtProductTbl"
    Private Const testProdDB As String = "jomtTesterServerDB.jomtProductTbl"

    Private Const mainDivDB As String = "jomtTesterDB.jomtDeviceTbl"
    Private Const testDivDB As String = "jomtTesterServerDB.jomtDeviceTbl"

    Private Const mainPlistDB As String = "jomtTesterDB.jomtProdList"
    Private Const testPlistDB As String = "jomtTesterServerDB.jomtProdList"

    Private Const mainClistDB As String = "jomtTesterDB.jomtComponentTbl"
    Private Const testClistDB As String = "jomtTesterServerDB.jomtComponentTbl"

    Private Const mainPackEvent As String = "jomtTesterDB.jomtPackEvent"
    Private Const testPackEvent As String = "jomtTesterServerDB.jomtPackEvent"

    Private Const mainPKCodeDB As String = "jomtTesterDB.jomtPKCodeTbl"

    Private Const testHistoryDB As String = "jomtTesterServerDB.jomtPackHistoryTbl"
    Private Const testPackDB As String = "jomtTesterServerDB.jomtSalesPackingTbl_New"

    Private Const MainNonTDDB As String = "jomtTesterDB.jomtNonTDTbl"
    Private Const TestNonTDDB As String = "jomtTesterServerDB.jomtNonTDTbl"

    Public applyOrderDB As String = mainOrderDB
    Public applySalesDB As String = mainSalesDB
    Public applyCountDB As String = mainCountDB
    Public applyCartDB As String = mainCartDB
    Public applyProdDB As String = mainProdDB
    Public applyDivDB As String = mainDivDB
    Public applyPlistDB As String = mainPlistDB
    Public applyClistDB As String = mainClistDB
    Public applyPackEvent As String = mainPackEvent
    Public applyPKCodeDB As String = mainPKCodeDB
    Public applyNonTDDB As String = MainNonTDDB

    Public applyPackDB As String = testPackDB
    Public applyHistoryDB As String = testHistoryDB

    Public Enum countSaveList
        normal
        autopack
        autoWeight
    End Enum

    Public Enum dbCode
        prodDBcode
        comDBcode
    End Enum

    Public Enum prodDB
        packingCount
        proset
        luxset
        proface
        luxface
        proeye
        luxeye
        probody
        luxbody
        maximum
        alphaSet
        alphaFace
        alphaEye
        alphaBody
        alto
        effect
    End Enum
    Public prodDBCount(prodDB.effect) As Integer    '' DB 저장
    Public prodInCount(prodDB.effect) As Integer    '' 패킹 저장 10
    Public prodComCount(prodDB.effect) As Integer   '' 로컬 저장
    Public prodInSerial(prodDB.effect) As String    '' LogData 저장
    Public prodPackCommand(prodDB.effect) As String  ''

    Public Enum comDB
        mask5
        mask10
        hairband
        gel
        minigel
        ample
        cream
        umb
        fen
        charger
        cable
        toner
        problack
        probeige
        prored
        propink
        maxblack
        maxapr
        maxmint
        maxbeige
        soothing
        car0
        car1
        car2
        car3
        car4
        car5
        car6
        bag
        cosbag
        dustbag
        maxPurple
        proSnakeBlack
        kollagen
        kollagenset
        kollagen_P
        kollagenset_P
        cleansingWater
        tonerPad
        maxSaffianoBK
        hologram1
        hologram3
        hologram5
        caseSaffianoPp
        maxYellow
        Kollagen_Pe1
        Kollagen_Pe3
        Kollagen_Pe5
        ATCircleCase
        APSquareCase
        maxPeach
        massageSoothing
        maxSMint
        meshpouch

        firmingAmp
        hyaluronicAmp
        nightshot
        morningshot
        casemaxwoodi
        Elicolltoner
        Elicollamp
        Elicollcream
        Elihyaltoner
        Elihyalamp
        Elihyalcream
        Dayshot
        Beautyshopbag
        Gummy
        Stickjelly
        Newyearbag
        Emsbelt
        Beltbag
        Dayshot2
        Elixir
    End Enum
    Public comDBCount(comDB.Elixir) As Integer   ''DB 저장
    Public comInCount(comDB.Elixir) As Integer   '' 패킹 저장 32 + 10 = 42 - 1 = 41
    Public comComCount(comDB.Elixir) As Integer  '' 로컬 저장

    Public countCommand(prodInCount.Length + comInCount.Length - 1) As String

    Public Function packingCountset(dbType As Int16, prodCode As Int16, ckCount As Int16, serial As String)
        If dbType = dbCode.prodDBcode Then
            Select Case prodCode
                Case prodDB.proset
                    prodInCount(prodDB.proset) = ckCount
                    prodInSerial(prodDB.proset) = serial
                Case prodDB.luxset
                    prodInCount(prodDB.luxset) = ckCount
                    prodInSerial(prodDB.luxset) = serial
                Case prodDB.proface
                    prodInCount(prodDB.proface) = ckCount
                    prodInSerial(prodDB.proface) = serial
                Case prodDB.luxface
                    prodInCount(prodDB.luxface) = ckCount
                    prodInSerial(prodDB.luxface) = serial
                Case prodDB.proeye
                    prodInCount(prodDB.proeye) = ckCount
                    prodInSerial(prodDB.proeye) = serial
                Case prodDB.luxeye
                    prodInCount(prodDB.luxeye) = ckCount
                    prodInSerial(prodDB.luxeye) = serial
                Case prodDB.probody
                    prodInCount(prodDB.probody) = ckCount
                    prodInSerial(prodDB.probody) = serial
                Case prodDB.luxbody
                    prodInCount(prodDB.luxbody) = ckCount
                    prodInSerial(prodDB.luxbody) = serial
                Case prodDB.maximum
                    prodInCount(prodDB.maximum) = ckCount
                    prodInSerial(prodDB.maximum) = serial

                Case prodDB.alphaSet
                    prodInCount(prodDB.alphaSet) = ckCount
                    prodInSerial(prodDB.alphaSet) = serial
                Case prodDB.alphaFace
                    prodInCount(prodDB.alphaFace) = ckCount
                    prodInSerial(prodDB.alphaFace) = serial
                Case prodDB.alphaEye
                    prodInCount(prodDB.alphaEye) = ckCount
                    prodInSerial(prodDB.alphaEye) = serial
                Case prodDB.alphaBody
                    prodInCount(prodDB.alphaBody) = ckCount
                    prodInSerial(prodDB.alphaBody) = serial

                Case prodDB.alto
                    prodInCount(prodDB.alto) = ckCount
                    prodInSerial(prodDB.alto) = serial

                Case prodDB.effect
                    prodInCount(prodDB.effect) = ckCount
                    prodInSerial(prodDB.effect) = serial

                Case Else
                    MsgBox("잘못된 데이터가 개입되었습니다", vbCritical)
                    Return True
            End Select
        Else
            Select Case prodCode
                Case comDB.mask5
                    comInCount(comDB.mask5) = ckCount
                Case comDB.mask10
                    comInCount(comDB.mask10) = ckCount
                Case comDB.hairband
                    comInCount(comDB.hairband) = ckCount
                Case comDB.gel
                    comInCount(comDB.gel) = ckCount
                Case comDB.minigel
                    comInCount(comDB.minigel) = ckCount
                Case comDB.ample
                    comInCount(comDB.ample) = ckCount
                Case comDB.cream
                    comInCount(comDB.cream) = ckCount
                Case comDB.umb
                    comInCount(comDB.umb) = ckCount
                Case comDB.fen
                    comInCount(comDB.fen) = ckCount
                Case comDB.charger
                    comInCount(comDB.charger) = ckCount
                Case comDB.cable
                    comInCount(comDB.cable) = ckCount
                Case comDB.toner
                    comInCount(comDB.toner) = ckCount
                Case comDB.problack
                    comInCount(comDB.problack) = ckCount
                Case comDB.probeige
                    comInCount(comDB.probeige) = ckCount
                Case comDB.prored
                    comInCount(comDB.prored) = ckCount
                Case comDB.propink
                    comInCount(comDB.propink) = ckCount
                Case comDB.maxblack
                    comInCount(comDB.maxblack) = ckCount
                Case comDB.maxapr
                    comInCount(comDB.maxapr) = ckCount
                Case comDB.maxmint
                    comInCount(comDB.maxmint) = ckCount
                Case comDB.maxbeige
                    comInCount(comDB.maxbeige) = ckCount
                Case comDB.maxPurple
                    comInCount(comDB.maxPurple) = ckCount
                Case comDB.soothing
                    comInCount(comDB.soothing) = ckCount
                Case comDB.car0
                    comInCount(comDB.car0) = ckCount
                Case comDB.car1
                    comInCount(comDB.car1) = ckCount
                Case comDB.car2
                    comInCount(comDB.car2) = ckCount
                Case comDB.car3
                    comInCount(comDB.car3) = ckCount
                Case comDB.car4
                    comInCount(comDB.car4) = ckCount
                Case comDB.car5
                    comInCount(comDB.car5) = ckCount
                Case comDB.car6
                    comInCount(comDB.car6) = ckCount
                Case comDB.bag
                    comInCount(comDB.bag) = ckCount
                Case comDB.cosbag
                    comInCount(comDB.cosbag) = ckCount
                Case comDB.dustbag
                    comInCount(comDB.dustbag) = ckCount
                Case comDB.proSnakeBlack
                    comInCount(comDB.proSnakeBlack) = ckCount
                Case comDB.kollagen
                    comInCount(comDB.kollagen) = ckCount
                Case comDB.kollagenset
                    comInCount(comDB.kollagenset) = ckCount
                Case comDB.kollagen_P
                    comInCount(comDB.kollagen_P) = ckCount
                Case comDB.kollagenset_P
                    comInCount(comDB.kollagenset_P) = ckCount
                Case comDB.cleansingWater
                    comInCount(comDB.cleansingWater) = ckCount
                Case comDB.tonerPad
                    comInCount(comDB.tonerPad) = ckCount
                Case comDB.maxSaffianoBK
                    comInCount(comDB.maxSaffianoBK) = ckCount

                Case comDB.hologram1
                    comInCount(comDB.hologram1) = ckCount
                Case comDB.hologram3
                    comInCount(comDB.hologram3) = ckCount
                Case comDB.hologram5
                    comInCount(comDB.hologram5) = ckCount

                Case comDB.caseSaffianoPp
                    comInCount(comDB.caseSaffianoPp) = ckCount
                Case comDB.maxYellow
                    comInCount(comDB.maxYellow) = ckCount

                Case comDB.Kollagen_Pe1
                    comInCount(comDB.Kollagen_Pe1) = ckCount
                Case comDB.Kollagen_Pe3
                    comInCount(comDB.Kollagen_Pe3) = ckCount
                Case comDB.Kollagen_Pe5
                    comInCount(comDB.Kollagen_Pe5) = ckCount

                Case comDB.ATCircleCase
                    comInCount(comDB.ATCircleCase) = ckCount

                Case comDB.APSquareCase
                    comInCount(comDB.APSquareCase) = ckCount
                Case comDB.maxPeach
                    comInCount(comDB.maxPeach) = ckCount

                Case comDB.massageSoothing
                    comInCount(comDB.massageSoothing) = ckCount

                Case comDB.maxSMint
                    comInCount(comDB.maxSMint) = ckCount

                Case comDB.meshpouch
                    comInCount(comDB.meshpouch) = ckCount

                Case comDB.firmingAmp
                    comInCount(comDB.firmingAmp) = ckCount

                Case comDB.hyaluronicAmp
                    comInCount(comDB.hyaluronicAmp) = ckCount

                Case comDB.nightshot
                    comInCount(comDB.nightshot) = ckCount

                Case comDB.morningshot
                    comInCount(comDB.morningshot) = ckCount

                Case comDB.casemaxwoodi
                    comInCount(comDB.casemaxwoodi) = ckCount

                Case comDB.Elicolltoner
                    comInCount(comDB.Elicolltoner) = ckCount

                Case comDB.Elicollamp
                    comInCount(comDB.Elicollamp) = ckCount

                Case comDB.Elicollcream
                    comInCount(comDB.Elicollcream) = ckCount

                Case comDB.Elihyaltoner
                    comInCount(comDB.Elihyaltoner) = ckCount

                Case comDB.Elihyalamp
                    comInCount(comDB.Elihyalamp) = ckCount

                Case comDB.Elihyalcream
                    comInCount(comDB.Elihyalcream) = ckCount

                Case comDB.Dayshot
                    comInCount(comDB.Dayshot) = ckCount

                Case comDB.Beautyshopbag
                    comInCount(comDB.Beautyshopbag) = ckCount

                Case comDB.Gummy
                    comInCount(comDB.Gummy) = ckCount

                Case comDB.Stickjelly
                    comInCount(comDB.Stickjelly) = ckCount

                Case comDB.Newyearbag
                    comInCount(comDB.Newyearbag) = ckCount
                Case comDB.Emsbelt
                    comInCount(comDB.Emsbelt) = ckCount
                Case comDB.Beltbag
                    comInCount(comDB.Beltbag) = ckCount
                Case comDB.Dayshot2
                    comInCount(comDB.Dayshot2) = ckCount
                Case comDB.Elixir
                    comInCount(comDB.Elixir) = ckCount

                Case Else
                    MsgBox("잘못된 데이터가 개입되었습니다", vbCritical)
                    Return True
            End Select
        End If

        Return False

    End Function

    Public Sub countCommandFunc(saveType As Int16)

        Select Case saveType
            Case countSaveList.normal

                countCommand(prodDB.packingCount) = "PackingCount"
                countCommand(prodDB.proset) = "ProSetCnt"
                countCommand(prodDB.luxset) = "LuxSetCnt"
                countCommand(prodDB.proface) = "ProFaceCnt"
                countCommand(prodDB.luxface) = "LuxFaceCnt"
                countCommand(prodDB.proeye) = "ProEyeCnt"
                countCommand(prodDB.luxeye) = "LuxEyeCnt"
                countCommand(prodDB.probody) = "ProBodyCnt"
                countCommand(prodDB.luxbody) = "LuxBodyCnt"
                countCommand(prodDB.maximum) = "MAXIMUMCnt"
                countCommand(prodDB.alphaSet) = "AlphaSetCnt"
                countCommand(prodDB.alphaFace) = "AlphaFaceCnt"
                countCommand(prodDB.alphaEye) = "AlphaEyeCnt"
                countCommand(prodDB.alphaBody) = "AlphaBodyCnt"
                countCommand(prodDB.alto) = "AltoCnt"
                countCommand(prodDB.effect) = "EffectCnt"

                countCommand(prodInCount.Length + comDB.mask5) = "Mask5Cnt"
                countCommand(prodInCount.Length + comDB.mask10) = "Mask10Cnt"
                countCommand(prodInCount.Length + comDB.hairband) = "HairBandCnt"
                countCommand(prodInCount.Length + comDB.gel) = "GelCnt"
                countCommand(prodInCount.Length + comDB.minigel) = "MiniGel"
                countCommand(prodInCount.Length + comDB.ample) = "AmpleCnt"
                countCommand(prodInCount.Length + comDB.cream) = "CreamCnt"
                countCommand(prodInCount.Length + comDB.umb) = "UmbrellaCnt"
                countCommand(prodInCount.Length + comDB.fen) = "FenCnt"
                countCommand(prodInCount.Length + comDB.charger) = "ChargerCnt"
                countCommand(prodInCount.Length + comDB.cable) = "CableCnt"
                countCommand(prodInCount.Length + comDB.toner) = "TonerCnt"
                countCommand(prodInCount.Length + comDB.problack) = "CasePROBlack"
                countCommand(prodInCount.Length + comDB.probeige) = "CasePROBeige"
                countCommand(prodInCount.Length + comDB.prored) = "CasePRORed"
                countCommand(prodInCount.Length + comDB.propink) = "CasePROPink"
                countCommand(prodInCount.Length + comDB.maxblack) = "CaseMAXBlack"
                countCommand(prodInCount.Length + comDB.maxapr) = "CaseMAXApr"
                countCommand(prodInCount.Length + comDB.maxmint) = "CaseMAXMint"
                countCommand(prodInCount.Length + comDB.maxbeige) = "CaseMAXBeige"
                countCommand(prodInCount.Length + comDB.maxPurple) = "CaseMAXPurple"
                countCommand(prodInCount.Length + comDB.proSnakeBlack) = "CasePROSnakeBlack"
                countCommand(prodInCount.Length + comDB.soothing) = "SoothingGelCnt"
                countCommand(prodInCount.Length + comDB.car0) = "Carton0Cnt"
                countCommand(prodInCount.Length + comDB.car1) = "Carton1Cnt"
                countCommand(prodInCount.Length + comDB.car2) = "Carton2Cnt"
                countCommand(prodInCount.Length + comDB.car3) = "Carton3Cnt"
                countCommand(prodInCount.Length + comDB.car4) = "Carton4Cnt"
                countCommand(prodInCount.Length + comDB.car5) = "Carton5Cnt"
                countCommand(prodInCount.Length + comDB.car6) = "Carton6Cnt"
                countCommand(prodInCount.Length + comDB.bag) = "BagCnt"
                countCommand(prodInCount.Length + comDB.cosbag) = "CosBagCnt"
                countCommand(prodInCount.Length + comDB.dustbag) = "DustBagCnt"
                countCommand(prodInCount.Length + comDB.kollagen) = "KollagenCnt"
                countCommand(prodInCount.Length + comDB.kollagenset) = "KollagenSetCnt"
                countCommand(prodInCount.Length + comDB.kollagen_P) = "Kollagen_PCnt"
                countCommand(prodInCount.Length + comDB.kollagenset_P) = "KollagenSet_PCnt"
                countCommand(prodInCount.Length + comDB.cleansingWater) = "CleansingWaterCnt"
                countCommand(prodInCount.Length + comDB.tonerPad) = "TonerPadCnt"
                countCommand(prodInCount.Length + comDB.maxSaffianoBK) = "CaseMaxSafBK"

                countCommand(prodInCount.Length + comDB.hologram1) = "Hologram_1Cnt"
                countCommand(prodInCount.Length + comDB.hologram3) = "Hologram_3Cnt"
                countCommand(prodInCount.Length + comDB.hologram5) = "Hologram_5Cnt"

                countCommand(prodInCount.Length + comDB.caseSaffianoPp) = "CaseMaxSafPp"
                countCommand(prodInCount.Length + comDB.maxYellow) = "CaseMaxYellow"

                countCommand(prodInCount.Length + comDB.Kollagen_Pe1) = "Kollagen_Pe1Cnt"
                countCommand(prodInCount.Length + comDB.Kollagen_Pe3) = "Kollagen_Pe3Cnt"
                countCommand(prodInCount.Length + comDB.Kollagen_Pe5) = "Kollagen_Pe5Cnt"

                countCommand(prodInCount.Length + comDB.ATCircleCase) = "ATCircleCaseCnt"
                countCommand(prodInCount.Length + comDB.APSquareCase) = "APSquareCaseCnt"

                countCommand(prodInCount.Length + comDB.maxPeach) = "CaseMAXPeach"
                countCommand(prodInCount.Length + comDB.massageSoothing) = "MasSoothingCnt"
                countCommand(prodInCount.Length + comDB.maxSMint) = "CaseMAXSMint"

                countCommand(prodInCount.Length + comDB.meshpouch) = "MeshPouchCnt"
                countCommand(prodInCount.Length + comDB.firmingAmp) = "FirmingAmpCnt"
                countCommand(prodInCount.Length + comDB.hyaluronicAmp) = "HyaluronicAmpCnt"
                countCommand(prodInCount.Length + comDB.nightshot) = "nightshotcnt"
                countCommand(prodInCount.Length + comDB.morningshot) = "morningshotcnt"
                countCommand(prodInCount.Length + comDB.casemaxwoodi) = "casemaxwoodicnt"
                countCommand(prodInCount.Length + comDB.Elicolltoner) = "Elicolltonercnt"
                countCommand(prodInCount.Length + comDB.Elicollamp) = "Elicollampcnt"
                countCommand(prodInCount.Length + comDB.Elicollcream) = "Elicollcreamcnt"
                countCommand(prodInCount.Length + comDB.Elihyaltoner) = "Elihyaltonercnt"
                countCommand(prodInCount.Length + comDB.Elihyalamp) = "Elihyalampcnt"
                countCommand(prodInCount.Length + comDB.Elihyalcream) = "Elihyalcreamcnt"
                countCommand(prodInCount.Length + comDB.Dayshot) = "Dayshotcnt"
                countCommand(prodInCount.Length + comDB.Beautyshopbag) = "Beautyshopbagcnt"
                countCommand(prodInCount.Length + comDB.Gummy) = "Gummycnt"
                countCommand(prodInCount.Length + comDB.Stickjelly) = "Stickjellycnt"
                countCommand(prodInCount.Length + comDB.Newyearbag) = "Newyearbagcnt"
                countCommand(prodInCount.Length + comDB.Emsbelt) = "Emsbeltcnt"
                countCommand(prodInCount.Length + comDB.Beltbag) = "Beltbagcnt"
                countCommand(prodInCount.Length + comDB.Dayshot2) = "Dayshot2cnt"
                countCommand(prodInCount.Length + comDB.Elixir) = "Elixircnt"

            Case countSaveList.autopack

                countCommand(prodDB.packingCount) = "AutoPackCnt"
                countCommand(prodDB.proset) = "APProSetCnt"
                countCommand(prodDB.luxset) = "APLuxSetCnt"
                countCommand(prodDB.proface) = "APProFaceCnt"
                countCommand(prodDB.luxface) = "APLuxFaceCnt"
                countCommand(prodDB.proeye) = "APProEyeCnt"
                countCommand(prodDB.luxeye) = "APLuxEyeCnt"
                countCommand(prodDB.probody) = "APProBodyCnt"
                countCommand(prodDB.luxbody) = "APLuxBodyCnt"
                countCommand(prodDB.maximum) = "APMAXIMUMCnt"
                countCommand(prodDB.alphaSet) = "APAlphaSetCnt"
                countCommand(prodDB.alphaFace) = "APAlphaFaceCnt"
                countCommand(prodDB.alphaEye) = "APAlphaEyeCnt"
                countCommand(prodDB.alphaBody) = "APAlphaBodyCnt"
                countCommand(prodDB.alto) = "APAltoCnt"
                countCommand(prodDB.effect) = "APEffectCnt"

                countCommand(prodInCount.Length + comDB.mask5) = "APMask5Cnt"
                countCommand(prodInCount.Length + comDB.mask10) = "APMask10Cnt"
                countCommand(prodInCount.Length + comDB.hairband) = "APHairBandCnt"
                countCommand(prodInCount.Length + comDB.gel) = "APGelCnt"
                countCommand(prodInCount.Length + comDB.minigel) = "APMiniGel"
                countCommand(prodInCount.Length + comDB.ample) = "APAmpleCnt"
                countCommand(prodInCount.Length + comDB.cream) = "APCreamCnt"
                countCommand(prodInCount.Length + comDB.umb) = "APUmbrellaCnt"
                countCommand(prodInCount.Length + comDB.fen) = "APFenCnt"
                countCommand(prodInCount.Length + comDB.charger) = "APChargerCnt"
                countCommand(prodInCount.Length + comDB.cable) = "APCableCnt"
                countCommand(prodInCount.Length + comDB.toner) = "APTonerCnt"
                countCommand(prodInCount.Length + comDB.problack) = "APCasePROBlack"
                countCommand(prodInCount.Length + comDB.probeige) = "APCasePROBeige"
                countCommand(prodInCount.Length + comDB.prored) = "APCasePRORed"
                countCommand(prodInCount.Length + comDB.propink) = "APCasePROPink"
                countCommand(prodInCount.Length + comDB.maxblack) = "APCaseMAXBlack"
                countCommand(prodInCount.Length + comDB.maxapr) = "APCaseMAXApr"
                countCommand(prodInCount.Length + comDB.maxmint) = "APCaseMAXMint"
                countCommand(prodInCount.Length + comDB.maxbeige) = "APCaseMAXBeige"
                countCommand(prodInCount.Length + comDB.maxPurple) = "APCaseMAXPurple"
                countCommand(prodInCount.Length + comDB.proSnakeBlack) = "APCasePROSnakeBlack"
                countCommand(prodInCount.Length + comDB.soothing) = "APSoothingGelCnt"
                countCommand(prodInCount.Length + comDB.car0) = "APCarton0Cnt"
                countCommand(prodInCount.Length + comDB.car1) = "APCarton1Cnt"
                countCommand(prodInCount.Length + comDB.car2) = "APCarton2Cnt"
                countCommand(prodInCount.Length + comDB.car3) = "APCarton3Cnt"
                countCommand(prodInCount.Length + comDB.car4) = "APCarton4Cnt"
                countCommand(prodInCount.Length + comDB.car5) = "APCarton5Cnt"
                countCommand(prodInCount.Length + comDB.car6) = "APCarton6Cnt"
                countCommand(prodInCount.Length + comDB.bag) = "APBagCnt"
                countCommand(prodInCount.Length + comDB.cosbag) = "APCosBagCnt"
                countCommand(prodInCount.Length + comDB.dustbag) = "APDustBagCnt"
                countCommand(prodInCount.Length + comDB.kollagen) = "APKollagenCnt"
                countCommand(prodInCount.Length + comDB.kollagenset) = "APKollagenSetCnt"
                countCommand(prodInCount.Length + comDB.kollagen_P) = "APKollagen_PCnt"
                countCommand(prodInCount.Length + comDB.kollagenset_P) = "APKollagenSet_PCnt"
                countCommand(prodInCount.Length + comDB.cleansingWater) = "APCleansingWaterCnt"
                countCommand(prodInCount.Length + comDB.tonerPad) = "APTonerPadCnt"
                countCommand(prodInCount.Length + comDB.maxSaffianoBK) = "APCaseMaxSafBK"

                countCommand(prodInCount.Length + comDB.hologram1) = "APHologram_1Cnt"
                countCommand(prodInCount.Length + comDB.hologram3) = "APHologram_3Cnt"
                countCommand(prodInCount.Length + comDB.hologram5) = "APHologram_5Cnt"

                countCommand(prodInCount.Length + comDB.caseSaffianoPp) = "APCaseMaxSafPp"
                countCommand(prodInCount.Length + comDB.maxYellow) = "APCaseMaxYellow"

                countCommand(prodInCount.Length + comDB.Kollagen_Pe1) = "APKollagen_Pe1Cnt"
                countCommand(prodInCount.Length + comDB.Kollagen_Pe3) = "APKollagen_Pe3Cnt"
                countCommand(prodInCount.Length + comDB.Kollagen_Pe5) = "APKollagen_Pe5Cnt"

                countCommand(prodInCount.Length + comDB.ATCircleCase) = "APATCircleCaseCnt"
                countCommand(prodInCount.Length + comDB.APSquareCase) = "APAPSquareCaseCnt"

                countCommand(prodInCount.Length + comDB.maxPeach) = "APCaseMAXPeach"
                countCommand(prodInCount.Length + comDB.massageSoothing) = "APMasSoothingCnt"
                countCommand(prodInCount.Length + comDB.maxSMint) = "APCaseMAXSMint"

                countCommand(prodInCount.Length + comDB.meshpouch) = "APMeshPouchCnt"
                countCommand(prodInCount.Length + comDB.firmingAmp) = "APFirmingAmpCnt"
                countCommand(prodInCount.Length + comDB.hyaluronicAmp) = "APHyaluronicAmpCnt"
                countCommand(prodInCount.Length + comDB.nightshot) = "APnightshotcnt"
                countCommand(prodInCount.Length + comDB.morningshot) = "APmorningshotcnt"
                countCommand(prodInCount.Length + comDB.casemaxwoodi) = "APcasemaxwoodicnt"
                countCommand(prodInCount.Length + comDB.Elicolltoner) = "APElicolltonercnt"
                countCommand(prodInCount.Length + comDB.Elicollamp) = "APElicollampcnt"
                countCommand(prodInCount.Length + comDB.Elicollcream) = "APElicollcreamcnt"
                countCommand(prodInCount.Length + comDB.Elihyaltoner) = "APElihyaltonercnt"
                countCommand(prodInCount.Length + comDB.Elihyalamp) = "APElihyalampcnt"
                countCommand(prodInCount.Length + comDB.Elihyalcream) = "APElihyalcreamcnt"
                countCommand(prodInCount.Length + comDB.Dayshot) = "APDayshotcnt"
                countCommand(prodInCount.Length + comDB.Beautyshopbag) = "APBeautyshopbagcnt"
                countCommand(prodInCount.Length + comDB.Gummy) = "APGummycnt"
                countCommand(prodInCount.Length + comDB.Stickjelly) = "APStickjellycnt"
                countCommand(prodInCount.Length + comDB.Newyearbag) = "APNewyearbagcnt"
                countCommand(prodInCount.Length + comDB.Emsbelt) = "APEmsbeltcnt"
                countCommand(prodInCount.Length + comDB.Beltbag) = "APBeltbagcnt"
                countCommand(prodInCount.Length + comDB.Dayshot2) = "APDayshot2cnt"
                countCommand(prodInCount.Length + comDB.Elixir) = "APElixircnt"

            Case countSaveList.autoWeight

                countCommand(prodDB.packingCount) = "AutoWeightCnt"
                countCommand(prodDB.proset) = "AWProSetCnt"
                countCommand(prodDB.luxset) = "AWLuxSetCnt"
                countCommand(prodDB.proface) = "AWProFaceCnt"
                countCommand(prodDB.luxface) = "AWLuxFaceCnt"
                countCommand(prodDB.proeye) = "AWProEyeCnt"
                countCommand(prodDB.luxeye) = "AWLuxEyeCnt"
                countCommand(prodDB.probody) = "AWProBodyCnt"
                countCommand(prodDB.luxbody) = "AWLuxBodyCnt"
                countCommand(prodDB.maximum) = "AWMAXIMUMCnt"

                countCommand(prodDB.alphaSet) = "AWAlphaSetCnt"
                countCommand(prodDB.alphaFace) = "AWAlphaFaceCnt"
                countCommand(prodDB.alphaEye) = "AWAlphaEyeCnt"
                countCommand(prodDB.alphaBody) = "AWAlphaBodyCnt"

                countCommand(prodDB.alto) = "AWAltoCnt"
                countCommand(prodDB.effect) = "AWEffectCnt"

                countCommand(prodInCount.Length + comDB.mask5) = "AWMask5Cnt"
                countCommand(prodInCount.Length + comDB.mask10) = "AWMask10Cnt"
                countCommand(prodInCount.Length + comDB.hairband) = "AWHairBandCnt"
                countCommand(prodInCount.Length + comDB.gel) = "AWGelCnt"
                countCommand(prodInCount.Length + comDB.minigel) = "AWMiniGel"
                countCommand(prodInCount.Length + comDB.ample) = "AWAmpleCnt"
                countCommand(prodInCount.Length + comDB.cream) = "AWCreamCnt"
                countCommand(prodInCount.Length + comDB.umb) = "AWUmbrellaCnt"
                countCommand(prodInCount.Length + comDB.fen) = "AWFenCnt"
                countCommand(prodInCount.Length + comDB.charger) = "AWChargerCnt"
                countCommand(prodInCount.Length + comDB.cable) = "AWCableCnt"
                countCommand(prodInCount.Length + comDB.toner) = "AWTonerCnt"
                countCommand(prodInCount.Length + comDB.problack) = "AWCasePROBlack"
                countCommand(prodInCount.Length + comDB.probeige) = "AWCasePROBeige"
                countCommand(prodInCount.Length + comDB.prored) = "AWCasePRORed"
                countCommand(prodInCount.Length + comDB.propink) = "AWCasePROPink"
                countCommand(prodInCount.Length + comDB.maxblack) = "AWCaseMAXBlack"
                countCommand(prodInCount.Length + comDB.maxapr) = "AWCaseMAXApr"
                countCommand(prodInCount.Length + comDB.maxmint) = "AWCaseMAXMint"
                countCommand(prodInCount.Length + comDB.maxbeige) = "AWCaseMAXBeige"
                countCommand(prodInCount.Length + comDB.maxPurple) = "AWCaseMAXPurple"
                countCommand(prodInCount.Length + comDB.proSnakeBlack) = "AWCasePROSnakeBlack"
                countCommand(prodInCount.Length + comDB.soothing) = "AWSoothingGelCnt"
                countCommand(prodInCount.Length + comDB.car0) = "AWCarton0Cnt"
                countCommand(prodInCount.Length + comDB.car1) = "AWCarton1Cnt"
                countCommand(prodInCount.Length + comDB.car2) = "AWCarton2Cnt"
                countCommand(prodInCount.Length + comDB.car3) = "AWCarton3Cnt"
                countCommand(prodInCount.Length + comDB.car4) = "AWCarton4Cnt"
                countCommand(prodInCount.Length + comDB.car5) = "AWCarton5Cnt"
                countCommand(prodInCount.Length + comDB.car6) = "AWCarton6Cnt"
                countCommand(prodInCount.Length + comDB.bag) = "AWBagCnt"
                countCommand(prodInCount.Length + comDB.cosbag) = "AWCosBagCnt"
                countCommand(prodInCount.Length + comDB.dustbag) = "AWDustBagCnt"
                countCommand(prodInCount.Length + comDB.kollagen) = "AWKollagenCnt"
                countCommand(prodInCount.Length + comDB.kollagenset) = "AWKollagenSetCnt"
                countCommand(prodInCount.Length + comDB.kollagen_P) = "AWKollagen_PCnt"
                countCommand(prodInCount.Length + comDB.kollagenset_P) = "AWKollagenSet_PCnt"
                countCommand(prodInCount.Length + comDB.cleansingWater) = "AWCleansingWaterCnt"
                countCommand(prodInCount.Length + comDB.tonerPad) = "AWTonerPadCnt"
                countCommand(prodInCount.Length + comDB.maxSaffianoBK) = "AWCaseMaxSafBK"

                countCommand(prodInCount.Length + comDB.hologram1) = "AWHologram_1Cnt"
                countCommand(prodInCount.Length + comDB.hologram3) = "AWHologram_3Cnt"
                countCommand(prodInCount.Length + comDB.hologram5) = "AWHologram_5Cnt"

                countCommand(prodInCount.Length + comDB.caseSaffianoPp) = "AWCaseMaxSafPp"
                countCommand(prodInCount.Length + comDB.maxYellow) = "AWCaseMaxYellow"

                countCommand(prodInCount.Length + comDB.Kollagen_Pe1) = "AWKollagen_Pe1Cnt"
                countCommand(prodInCount.Length + comDB.Kollagen_Pe3) = "AWKollagen_Pe3Cnt"
                countCommand(prodInCount.Length + comDB.Kollagen_Pe5) = "AWKollagen_Pe5Cnt"

                countCommand(prodInCount.Length + comDB.ATCircleCase) = "AWATCircleCaseCnt"
                countCommand(prodInCount.Length + comDB.APSquareCase) = "AWAPSquareCaseCnt"

                countCommand(prodInCount.Length + comDB.maxPeach) = "AWCaseMAXPeach"
                countCommand(prodInCount.Length + comDB.massageSoothing) = "AWMasSoothingCnt"
                countCommand(prodInCount.Length + comDB.maxSMint) = "AWCaseMAXSMint"

                countCommand(prodInCount.Length + comDB.meshpouch) = "AWMeshPouchCnt"
                countCommand(prodInCount.Length + comDB.firmingAmp) = "AWFirmingAmpCnt"
                countCommand(prodInCount.Length + comDB.hyaluronicAmp) = "AWHyaluronicAmpCnt"
                countCommand(prodInCount.Length + comDB.nightshot) = "AWnightshotcnt"
                countCommand(prodInCount.Length + comDB.morningshot) = "AWmorningshotcnt"
                countCommand(prodInCount.Length + comDB.casemaxwoodi) = "AWcasemaxwoodicnt"
                countCommand(prodInCount.Length + comDB.Elicolltoner) = "AWElicolltonercnt"
                countCommand(prodInCount.Length + comDB.Elicollamp) = "AWElicollampcnt"
                countCommand(prodInCount.Length + comDB.Elicollcream) = "AWElicollcreamcnt"
                countCommand(prodInCount.Length + comDB.Elihyaltoner) = "AWElihyaltonercnt"
                countCommand(prodInCount.Length + comDB.Elihyalamp) = "AWElihyalampcnt"
                countCommand(prodInCount.Length + comDB.Elihyalcream) = "AWElihyalcreamcnt"
                countCommand(prodInCount.Length + comDB.Dayshot) = "AWDayshotcnt"
                countCommand(prodInCount.Length + comDB.Beautyshopbag) = "AWBeautyshopbagcnt"
                countCommand(prodInCount.Length + comDB.Gummy) = "AWGummycnt"
                countCommand(prodInCount.Length + comDB.Stickjelly) = "AWStickjellycnt"
                countCommand(prodInCount.Length + comDB.Newyearbag) = "AWNewyearbagcnt"
                countCommand(prodInCount.Length + comDB.Emsbelt) = "AWEmsbeltcnt"
                countCommand(prodInCount.Length + comDB.Beltbag) = "AWBeltbagcnt"
                countCommand(prodInCount.Length + comDB.Dayshot2) = "AWDayshot2cnt"
                countCommand(prodInCount.Length + comDB.Elixir) = "AWElixircnt"

        End Select
    End Sub

    Public Sub countDBCommand()
        prodPackCommand(prodDB.proset) = "ProSetSerial"
        prodPackCommand(prodDB.luxset) = "LuxSetSerial"
        prodPackCommand(prodDB.proface) = "ProFaceSerial"
        prodPackCommand(prodDB.luxface) = "LuxFaceSerial"
        prodPackCommand(prodDB.proeye) = "ProEyeSerial"
        prodPackCommand(prodDB.luxeye) = "LuxEyeSerial"
        prodPackCommand(prodDB.probody) = "ProBodySerial"
        prodPackCommand(prodDB.luxbody) = "LuxBodySerial"
        prodPackCommand(prodDB.maximum) = "MAXIMUM_SN"

        prodPackCommand(prodDB.alphaSet) = "Alpha_Set_Serial"
        prodPackCommand(prodDB.alphaFace) = "Alpha_Face_Serial"
        prodPackCommand(prodDB.alphaEye) = "Alpha_Eye_Serial"
        prodPackCommand(prodDB.alphaBody) = "Alpha_Body_Serial"

        prodPackCommand(prodDB.alto) = "Alto_Serial"
        prodPackCommand(prodDB.effect) = "Effect_Serial"
    End Sub
End Module
